Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.util
Class NotificationEventCallback

    java.lang.Object
      org.apache.tapestry5.internal.util.NotificationEventCallback

All Implemented Interfaces:
  ComponentEventCallback

    public class NotificationEventCallback

extends java.lang.Object
implements ComponentEventCallback

A `ComponentEventCallback` used for notification events. Event handler methods may return true (to abort the event) or false (to allow the event to continue bubbling up), but all other values are forbidden.

Constructor Summary
`NotificationEventCallback(java.lang.String eventType, java.lang.String completeId)`

Method Summary
`boolean` | `handleResult(java.lang.Object result)` Invoked to handle a non-null event handler method result.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotificationEventCallback

    public NotificationEventCallback(java.lang.String eventType,
                                     java.lang.String completeId)

Method Detail

### handleResult

    public boolean handleResult(java.lang.Object result)

  Description copied from interface: `ComponentEventCallback`
  Invoked to handle a non-null event handler method result. The handler should determine whether the value is acceptable, and throw an exception if not. Any thrown exception will be wrapped to identify the component and method from which the value was returned.

  Boolean values are not passed to the callback. Booleans are used to indicate that the event has been handled (true, meaning the event is handled and aborted) or that a further search for handlers should continue (false, meaning the event was not handled, is not aborted, and the search up the component hierarchy for event handler methods should continue). If a component event method returns true, then `Event.isAborted()` will return true.

  Specified by:
    `handleResult` in interface `ComponentEventCallback`
  Parameters:
    `result` - the result value returned from the event handler method
  Returns:
    true if the event is aborted, false if the event may continue

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.